import { SpaceGraphCustomAttributeJson } from '@archilogic/space-graph-core';
type ValueRange = {
    minValue: number;
    maxValue: number;
} | null;
export declare function generateGradientSteps(color: string, steps?: number): string;
export declare function getGradientStyle(color: string): {
    background: string;
    height: string;
    width: string;
    borderRadius: string;
};
export declare function getAttributeOpacity(attr: SpaceGraphCustomAttributeJson, value: string | number | boolean, valueRange: ValueRange, defaultOpacity: number): number;
export {};
